# $Revision: 1.45 $, $Date: 2002/07/10 00:44:15 $
Summary:	Multiple stacked system monitors: 1 process
Summary(pl):	Zestaw wielu monitorw systemu(w) w jednym procesie
Summary(pt_BR):	Monitorao de atividades do sistema
Summary(ru):	GKrellM -        
Summary(uk):	GKrellM -    ΦҦ    
Name:		gkrellm
Version:	1.2.13
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	http://web.wt.net/~billw/gkrellm/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-paths_fix.patch
Icon:		gkrellm.xpm
URL:		http://www.gkrellm.net/
BuildRequires:	glib-devel >= 1.2
BuildRequires:	gtk+-devel >= 1.2
BuildRequires:	imlib-devel
BuildRequires:	gettext-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
GKrellM charts SMP CPU, load, Disk, and all active net interfaces
automatically. An on/off button and online timer for the PPP interface
is provided. Includes meters for memory and swap usage, an uptime
monitor, a hostname label, and a clock/calendar. are provided.
Additional features are:

  - Autoscaling grid lines with configurable grid line resolution.
  - LED indicators for the net interfaces.
  - A gui popup for configuration of chart sizes and resolutions.

%description -l pl
GKrellM automatycznie wyswietla wykresy aktywnoci SMP CPU,
obcienia, dysku oraz aktywnych interfejsw sieciowych. Jest rwnie
przycisk wycznika, czasomierz dla interfejsu PPP, mierniki
wykorzystania pamici oraz partycji wymiany, wywietlacz czasy, ktry
upyn od wczenia maszyny, etykiet nazwy hosta oraz zegar i
kalendarz. Inne funkcje:

 - Samoskalujce sie linie siatki o konfigurowanej gstoci
 - Wywietlacze imitujace diody LED dla interfejsw sieciowych
 - Narzdzie gui do konfiguracji rozmiarw wykresw i rozdzielczoci

%description -l pt_BR
O GKrellM mostra grficos com dados sobre CPUs, carga da mquina,
discos e todas as interfaces de rede ativas, automaticamente. Um boto
liga/desliga e um temporizador para a interface PPP esto presentes.
Monitores para uso de memria e rea de troca, sistemas de arquivos,
conexes Internet, para a bateria de computadores portteis, para
caixas de correio no estilo mbox e para a temperatura da CPU. Tambm
inclui um monitor de tempo de atividade da mquina, um rtulo como o
nome da mquina e um relgio e calendrio.

%description -l ru
GKrellM    SMP CPU, ,   
   .   on/off 
    PPP .   
  swap,  ,   , APM, 
   CPU.    uptime,  
,   .

%description -l uk
GKrellM צ Ʀ  SMP CPU, , ˦  Ӧ
  Ӧ .   on/off  
-  PPP .  Φ ϧ 'Ԧ 
swap,  ,   , APM,   
 CPU.   Φ uptime, ͦ Φ ,
  .

%package devel
Summary:	gkrellm include files
Summary(pl):	Pliki nagwkowe do gkrellm
Summary(pt_BR):	Componentes para desenvolvimento com o gkrellm
Summary(ru):	 C   GKrellM
Summary(uk):	 C Ҧ  GKrellM
Group:		X11/Development/Libraries
Requires:	gtk+-devel
Requires:	imlib-devel

%description devel
gkrellm header files for gkrellm development and plugin support.

%description devel -l pl
Pliki nagwkowe do gkrellm.

%description devel -l pt_BR
Componentes para desenvolvimento de plugins para o gkrellm.

%description devel -l ru
 C   GKrellM -     .

%description devel -l uk
 C Ҧ  GKrellM -    Ц ̦.

%prep
%setup -q
%patch -p1

%build
./enable_nls
%{__make} \
	CFLAGS="%{rpmcflags}" \
	LOCALEDIR="%{_datadir}/locale"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{%{_bindir},%{_includedir}/gkrellm} \
	$RPM_BUILD_ROOT{%{_libdir},%{_datadir}}/gkrellm \
	$RPM_BUILD_ROOT{%{_applnkdir}/System,%{_pixmapsdir}} \
	$RPM_BUILD_ROOT%{_datadir}/locale

%{__make} install \
	INSTALLDIR=$RPM_BUILD_ROOT%{_bindir} \
	INCLUDEDIR=$RPM_BUILD_ROOT%{_includedir} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1 \
	LOCALEDIR=$RPM_BUILD_ROOT%{_datadir}/locale

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/System
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

gzip -9nf Changelog Changelog-plugins.html Changelog-themes.html \
	README Themes.html

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files  -f %{name}.lang
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/gkrellm
%{_mandir}/man1/*
%dir %{_libdir}/gkrellm
%dir %{_datadir}/gkrellm
%{_applnkdir}/System/*
%{_pixmapsdir}/*

%files devel
%defattr(644,root,root,755)
%{_includedir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gkrellm.spec,v $
Revision 1.45  2002/07/10 00:44:15  kloczek
- updated to 1.2.13 (bugfixes),
- fixes compiled in path to locale files.

Revision 1.44  2002/06/14 19:47:08  kloczek
- updated to 1.2.12 (bug fix release).

Revision 1.43  2002/04/25 16:24:08  arturs
fixed a small typo

Revision 1.42  2002/03/29 18:55:23  kloczek
- updated to 1.2.11.

Revision 1.41  2002/03/23 04:05:29  kloczek
- updated to 1.2.10 (bugfixes).

Revision 1.40  2002/02/23 02:17:44  kloczek
- adapterized.

Revision 1.39  2002/02/22 23:28:57  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.38  2002/02/19 12:06:04  kloczek
- updated to 1.2.9 (new stable version).

Revision 1.37  2002/02/03 20:46:53  ankry
- adding es/pt/pt_BR Group translations

Revision 1.36  2002/01/18 02:13:04  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.35  2002/01/07 09:30:28  kloczek
- updated to 1.2.8 (bugfixes).

Revision 1.34  2001/12/19 04:24:49  kloczek
- updated to 1.2.6 (bug fix release).

Revision 1.33  2001/11/02 16:14:39  blues
- autoupdate 1.2.4

Revision 1.32  2001/11/01 13:39:20  blues
- devel subpackage requires imlib-devel

Revision 1.31  2001/10/28 21:12:23  kloczek
- release 2: merged translations from CNV.

Revision 1.30  2001/10/25 08:24:08  kloczek
- updated to 1.2.3.

Revision 1.29  2001/10/03 22:41:48  kloczek
- reverted last change: in this case instaled devel subpackage do not require
  installed main package (it contain only header files).

Revision 1.28  2001/10/03 16:44:07  filon
- added req for main pkg in devel
- release 2

Revision 1.27  2001/08/23 22:07:32  kloczek
- updated to 1.2.2.

Revision 1.26  2001/08/05 11:59:55  mkochano
- Release 3.
- Redefined _mandir macro so manual page will be compressed in package and
  then found by ,,man'' program.

Revision 1.25  2001/08/03 20:47:03  blues
- 1.2.1
- added more buildrequires
- enabled language-support

Revision 1.24  2001/04/30 16:05:18  kloczek
- added using %%{rpmcflags} macro.

Revision 1.23  2001/04/18 00:42:13  kloczek
- updated to 1.0.8.

Revision 1.22  2001/03/17 00:37:17  kloczek
- updated to 1.0.7,
- new Source url and URL,
- added man pages for gkrellm.

Revision 1.21  2001/02/02 09:44:19  kloczek
- release 3: added gtk+-devel to Requires list for devel subpackage.

Revision 1.20  2001/02/01 19:46:20  kloczek
- typo.

Revision 1.19  2001/02/01 19:45:27  kloczek
- release 2,
- added Icon and desktop file for gkrellm.

Revision 1.18  2001/01/30 06:41:42  kloczek
- uptated to 1.0.6,
- added paths_fix patch with change path to plugins to /usr/X11R6/lib/gkrellm/
  and to themes to /usr/X11R6/share/gkrellm/,
- separate in devel subpackage header files rewuired on compile/develp plugins
  for gkrellm.

Revision 1.17  2001/01/25 20:03:23  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.16  2001/01/23 11:22:30  kloczek
- updated to 1.0.5.

Revision 1.15  2001/01/15 00:19:26  kloczek
- updated to 1.0.4.

Revision 1.14  2001/01/08 10:34:11  kloczek
- updated to 1.0.3.

Revision 1.13  2000/12/23 00:48:44  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.12  2000/11/16 02:04:57  kloczek
- updatd to 1.0.2.

Revision 1.11  2000/10/19 19:04:03  kloczek
- removed from doc COPYRIGHT (clear copyright statment is in License field)
  and INSTALL (install procedure is implemented in this file).

Revision 1.10  2000/10/19 18:30:08  kevin
- updated to 1.0.1
- removed CFLAGS.path - not needed

Revision 1.9  2000/09/13 21:15:51  kloczek
- spec adapterized,
- added CFLAGS patch for fix passing $RPM_OPT_FLAGS to compile options,
- make spec %%debug friendly,
- removed all Requires (this is automatically generated) and added
  Buildrequires rules,
- removed COPYING (Copyright statment is in License field) and INSTALL
  (install procedure is implemented in this file),
- gzipp all %doc.

Revision 1.8  2000/09/13 14:13:00  kevin
- new version 0.10.5
- adapterized
- buildreq: gtk+, glib, imlib

Revision 1.7  2000/06/09 07:54:41  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:22:51  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/30 23:29:50  arturs
-added /home/q/cvs/SPECSescription -l pl

Revision 1.4  2000/05/18 23:29:23  kloczek
- spec adapterized.
